Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.varia.process
Class ChildProcessService.ReaderLoggerAdapter

    java.lang.Object
      org.jboss.varia.process.ChildProcessService.ReaderLoggerAdapter

All Implemented Interfaces:
  Runnable

Enclosing class:
  ChildProcessService

protected static class ChildProcessService.ReaderLoggerAdapter
extends Object
implements Runnable

Field Summary
`protected org.apache.log4j.Level` | `level`
`protected org.apache.log4j.Logger` | `log`
`protected BufferedReader` | `reader`
`protected boolean` | `shutdown`

Constructor Summary
`ChildProcessService.ReaderLoggerAdapter(InputStream input, org.apache.log4j.Logger log, org.apache.log4j.Level level)`
`ChildProcessService.ReaderLoggerAdapter(Reader reader, org.apache.log4j.Logger log, org.apache.log4j.Level level)`

Method Summary
`void` | `run()`
`void` | `shutdown()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### reader

    protected BufferedReader reader

### shutdown

    protected boolean shutdown

### log

    protected org.apache.log4j.Logger log

### level

    protected org.apache.log4j.Level level

Constructor Detail

### ChildProcessService.ReaderLoggerAdapter

    public ChildProcessService.ReaderLoggerAdapter(Reader reader,
                                                   org.apache.log4j.Logger log,
                                                   org.apache.log4j.Level level)

### ChildProcessService.ReaderLoggerAdapter

    public ChildProcessService.ReaderLoggerAdapter(InputStream input,
                                                   org.apache.log4j.Logger log,
                                                   org.apache.log4j.Level level)

Method Detail

### shutdown

    public void shutdown()

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.